[jitsi-users] Problem on adding account


#1

Hi guys,

I would like to submit you a problem I have while using Jitsi. When I first launch it, on the 'add account' page (the one which give the opportunity to add accounts for multiples services), the 'identify' button doesn't do anything. Joined the logs when the error occurs. I searched on the web, but I can't find a solution. Do you have one ? Maybe a config file I could modify to bypass this issue ?

OS : ArchLinux, updated (rolling-release)

Thanks for your attention.

(I'm french so sorry if my english isn't perfect.)

jitsi.log (6.35 KB)


#2

I would like to submit you a problem I have while using Jitsi. When I
first launch it, on the 'add account' page (the one which give the
opportunity to add accounts for multiples services), the 'identify'
button doesn't do anything. Joined the logs when the error occurs. I
searched on the web, but I can't find a solution. Do you have one ?
Maybe a config file I could modify to bypass this issue ?

OS : ArchLinux, updated (rolling-release)

Thanks for your attention.

(I'm french so sorry if my english isn't perfect.)

That already explains the bug: we had an error in the French translation. This was fixed in the 2.2 release, could please make sure you are running the newest stable version?

Bonne soirée,
Ingo


#3

That already explains the bug: we had an error in the French
translation. This was fixed in the 2.2 release, could please make
sure you are running the newest stable version?

I use the [aur package](https://aur.archlinux.org/packages/jitsi/), which uses jitsi 2.2...

On jitsi.org, only 2.0 linux builds are available.

Adding accounts works fine if I launch it with LANG=en LANGUAGE=en. After that, Jitsi works fine in fr. It's definitively a fr bug. How is it possible ?

As I type that, I remember that I didn't use Jitsi on Mac because the same problem occurs.


#4

That already explains the bug: we had an error in the French
translation. This was fixed in the 2.2 release, could please make
sure you are running the newest stable version?

I use the [aur package](https://aur.archlinux.org/packages/jitsi/),
which uses jitsi 2.2...

On jitsi.org, only 2.0 linux builds are available.

https://jitsi.org/Main/Download

Sorry, I can't follow: there are 2.2 builds for Ubuntu, Debian and an RPM
package...

Adding accounts works fine if I launch it with LANG=en LANGUAGE=en.
After that, Jitsi works fine in fr. It's definitively a fr bug. How is
it possible ?

As I said, we made a mistake in the translation: A } was forgotten or
accidentally deleted.

As I type that, I remember that I didn't use Jitsi on Mac because the
same problem occurs.

This bug wasn't OS specific.

Ingo


#5

Sorry, I can't follow: there are 2.2 builds for Ubuntu, Debian and an RPM
package...

I watched there, to see if I could find a built binary : https://download.jitsi.org/jitsi/linux/. I use archlinux, so no .deb, .rpm.

As I said, we made a mistake in the translation: A } was forgotten or
accidentally deleted.

ok ^^

Are you sure it's fixed in 2.2 ? The aur package I use builds version 2.2.4603.9615.


#6

Here's the fix commit:

https://github.com/jitsi/jitsi/commit/8aead193ab11a4218828c5139bb7425700269d81

That was on 10th March. 2.2 was released on 30th April. So yes, I'm certain, and I verified it back then. I know Arch even less than the rest of the Linux stuff, so I have no idea what is going on.

The generic Linux installer is AFAIK no longer maintained and only left for historical reasons.

Ingo

···

On 12.08.2013, at 23:16, "Mikaël Fourrier" <mikael.fourrier@laposte.net> wrote:

Sorry, I can't follow: there are 2.2 builds for Ubuntu, Debian and an RPM
package...

I watched there, to see if I could find a built binary : https://download.jitsi.org/jitsi/linux/. I use archlinux, so no .deb, .rpm.

As I said, we made a mistake in the translation: A } was forgotten or
accidentally deleted.

ok ^^

Are you sure it's fixed in 2.2 ? The aur package I use builds version 2.2.4603.9615.

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#7

Here's the fix commit:

https://github.com/jitsi/jitsi/commit/8aead193ab11a4218828c5139bb7425700269d81

This commit works...

That was on 10th March. 2.2 was released on 30th April. So yes, I'm
certain, and I verified it back then. I know Arch even less than the
rest of the Linux stuff, so I have no idea what is going on.

Pretty strange. The PKGBUILD uses the 2.2 source package on https://download.jitsi.org/jitsi/src/, but it was released on May, far forward your fix.

···

Le 13/08/2013 00:13, Ingo Bauersachs a écrit :


#8

Here's the fix commit:

https://github.com/jitsi/jitsi/commit/8aead193ab11a4218828c5139bb74257002
69d8 1

This commit works...

That was on 10th March. 2.2 was released on 30th April. So yes, I'm
certain, and I verified it back then. I know Arch even less than the
rest of the Linux stuff, so I have no idea what is going on.

Pretty strange. The PKGBUILD uses the 2.2 source package on
https://download.jitsi.org/jitsi/src/, but it was released on May, far
forward your fix.

The source snapshot is apparently not correct...

Pavel: How was that generated? Obviously not all files were updated and I suspect there's more that's wrong :frowning:

Ingo


#9

I confirm the 2.2 src snapshot is not correct, because it has the old resources/languages/resources_fr.properties file with the missing closing curly brace ('}'). The build procedure was substantially overhaul somewhere in July migrating to Jenkins. Now everything is OK with the 2.3 nightly src builds.

Pavel Tankov

···

On 13.авг..2013, at 11:42, Ingo Bauersachs wrote:

Here's the fix commit:

https://github.com/jitsi/jitsi/commit/8aead193ab11a4218828c5139bb74257002
69d8 1

This commit works...

That was on 10th March. 2.2 was released on 30th April. So yes, I'm
certain, and I verified it back then. I know Arch even less than the
rest of the Linux stuff, so I have no idea what is going on.

Pretty strange. The PKGBUILD uses the 2.2 source package on
https://download.jitsi.org/jitsi/src/, but it was released on May, far
forward your fix.

The source snapshot is apparently not correct...

Pavel: How was that generated? Obviously not all files were updated and I suspect there's more that's wrong :frowning:

Ingo


#10

Ok. May you release a 2.2.1 version with updated resources ? I would like not to use a nightly version.

Mikaël

···

Le 13/08/2013 11:14, Pavel Tankov a écrit :

I confirm the 2.2 src snapshot is not correct, because it has the old
resources/languages/resources_fr.properties file with the missing
closing curly brace ('}'). The build procedure was substantially
overhaul somewhere in July migrating to Jenkins. Now everything is OK
with the 2.3 nightly src builds.


#11

I confirm the 2.2 src snapshot is not correct, because it has the old
resources/languages/resources_fr.properties file with the missing
closing curly brace ('}'). The build procedure was substantially
overhaul somewhere in July migrating to Jenkins. Now everything is OK
with the 2.3 nightly src builds.

Please create a correct snapshot from the git-tag Jitsi-2.2 and upload it.

Oh, and: could you please add a README to https://download.jitsi.org/jitsi/linux/ that the generic installer is no longer maintained and no new releases will appear in that directory?

Pavel Tankov

Ingo


#12

Hello Mikaël,

Try now the fixed 2.2 src release. The URL is absolutely the same, only the file is replaced with a correct version. Here it is: https://download.jitsi.org/jitsi/src/jitsi-src-2.2.4603.9615.zip

Pavel Tankov

···

On 13.авг..2013, at 12:52, Mikaël Fourrier wrote:

Le 13/08/2013 11:14, Pavel Tankov a écrit :

I confirm the 2.2 src snapshot is not correct, because it has the old
resources/languages/resources_fr.properties file with the missing
closing curly brace ('}'). The build procedure was substantially
overhaul somewhere in July migrating to Jenkins. Now everything is OK
with the 2.3 nightly src builds.

Ok. May you release a 2.2.1 version with updated resources ? I would like not to use a nightly version.

Mikaël

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#13

But it seems to me that we do support the general installer. Well, OK, it was broken for a while, but I fixed it, here it is: https://download.jitsi.org/jitsi/nightly/linux/

Pavel Tankov

···

On 13.авг..2013, at 13:18, Ingo Bauersachs wrote:

I confirm the 2.2 src snapshot is not correct, because it has the old
resources/languages/resources_fr.properties file with the missing
closing curly brace ('}'). The build procedure was substantially
overhaul somewhere in July migrating to Jenkins. Now everything is OK
with the 2.3 nightly src builds.

Please create a correct snapshot from the git-tag Jitsi-2.2 and upload it.

Oh, and: could you please add a README to https://download.jitsi.org/jitsi/linux/ that the generic installer is no longer maintained and no new releases will appear in that directory?

Pavel Tankov

Ingo


#14

Well... You should have released it in 2.2.1 because silent updates are not cool, but it's your app.

Thanks for your rapid answer, it works !

···

Le 13/08/2013 16:07, Pavel Tankov a écrit :

Hello Mikaël,

Try now the fixed 2.2 src release. The URL is absolutely the same,
only the file is replaced with a correct version. Here it is:
https://download.jitsi.org/jitsi/src/jitsi-src-2.2.4603.9615.zip


#15

No we don't support it. How did you fix it? What binaries did you include?

The readme is a good idea.

--sent from my mobile

···

On Aug 13, 2013 2:42 PM, "Pavel Tankov" <ptankov@bluejimp.com> wrote:

But it seems to me that we do support the general installer. Well, OK, it
was broken for a while, but I fixed it, here it is:
https://download.jitsi.org/jitsi/nightly/linux/

Pavel Tankov

On 13.авг..2013, at 13:18, Ingo Bauersachs wrote:

>> I confirm the 2.2 src snapshot is not correct, because it has the old
>> resources/languages/resources_fr.properties file with the missing
>> closing curly brace ('}'). The build procedure was substantially
>> overhaul somewhere in July migrating to Jenkins. Now everything is OK
>> with the 2.3 nightly src builds.
>
> Please create a correct snapshot from the git-tag Jitsi-2.2 and upload
it.
>
> Oh, and: could you please add a README to
https://download.jitsi.org/jitsi/linux/ that the generic installer is no
longer maintained and no new releases will appear in that directory?
>
>> Pavel Tankov
>
> Ingo
>

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#16

Thanks for your rapid answer, it works !

Glad to hear that! :slight_smile:

Well... You should have released it in 2.2.1 because silent updates are not cool, but it's your app.

That's not a silent update, it's just fixing the 2.2 src release, because it was plain broken. As Ingo said, I created a snapshot from the git-tag Jitsi-2.2 and uploaded it, which should have happened originally when we released 2.2 but for some reason didn't.

Pavel Tankov

···

On 13.авг..2013, at 18:26, Mikaël Fourrier wrote:

Le 13/08/2013 16:07, Pavel Tankov a écrit :

Hello Mikaël,

Try now the fixed 2.2 src release. The URL is absolutely the same,
only the file is replaced with a correct version. Here it is:
https://download.jitsi.org/jitsi/src/jitsi-src-2.2.4603.9615.zip

Well... You should have released it in 2.2.1 because silent updates are not cool, but it's your app.

Thanks for your rapid answer, it works !

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#17

Did you update the mac/win$/... 2.2 builds ?


#18

No, and that is not necessary as they aren't affected.

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

···

Le 13.08.2013 à 21:30, "Mikaël Fourrier" <mikael.fourrier@laposte.net> a écrit :

Did you update the mac/win$/... 2.2 builds ?

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#19

They didn't have to be updated. Only the src was problematic. Mikaël, I forgot to thank you for catching that problem, by the way. :slight_smile:

Pavel Tankov

···

On 13.авг..2013, at 22:29, Mikaël Fourrier wrote:

Did you update the mac/win$/... 2.2 builds ?

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#20

They didn't have to be updated. Only the src was problematic.

Cool !